EncodeHintType (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing, enum: EncodeHintType

Package com.google.zxing

# Enum EncodeHintType

java.lang.Object
java.lang.Enum<EncodeHintType>
com.google.zxing.EncodeHintType

All Implemented Interfaces:
  `Serializable`, `Comparable<EncodeHintType>`, `java.lang.constant.Constable`

public enum EncodeHintType extends Enum<EncodeHintType>
These are a set of hints that you may pass to Writers to specify their behavior.

Author:
  dswitkin@google.com (Daniel Switkin)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AZTEC_LAYERS`
  Specifies the required number of layers for an Aztec code.
  `CHARACTER_SET`
  Specifies what character encoding to use where applicable (type `String`)
  `CODE128_COMPACT`
  Specifies whether to use compact mode for Code-128 code (type `Boolean`, or "true" or "false" `String` value).
  `DATA_MATRIX_COMPACT`
  Specifies whether to use compact mode for Data Matrix (type `Boolean`, or "true" or "false" `String` value).
  `DATA_MATRIX_SHAPE`
  Specifies the matrix shape for Data Matrix (type `SymbolShapeHint`)
  `ERROR_CORRECTION`
  Specifies what degree of error correction to use, for example in QR Codes.
  `FORCE_C40`
  Forces C40 encoding for data-matrix (type `Boolean`, or "true" or "false") `String` value).
  `FORCE_CODE_SET`
  Forces which encoding will be used.
  `GS1_FORMAT`
  Specifies whether the data should be encoded to the GS1 standard (type `Boolean`, or "true" or "false" `String` value).
  `MARGIN`
  Specifies margin, in pixels, to use when generating the barcode.
  `MAX_SIZE`
  Deprecated.
  without replacement
  `MIN_SIZE`
  Deprecated.
  use width/height params in `DataMatrixWriter.encode(String, BarcodeFormat, int, int)`
  `PDF417_AUTO_ECI`
  Specifies whether to automatically insert ECIs when encoding PDF417 (type `Boolean`, or "true" or "false" `String` value).
  `PDF417_COMPACT`
  Specifies whether to use compact mode for PDF417 (type `Boolean`, or "true" or "false" `String` value).
  `PDF417_COMPACTION`
  Specifies what compaction mode to use for PDF417 (type `Compaction` or `String` value of one of its enum values).
  `PDF417_DIMENSIONS`
  Specifies the minimum and maximum number of rows and columns for PDF417 (type `Dimensions`).
  `QR_COMPACT`
  Specifies whether to use compact mode for QR code (type `Boolean`, or "true" or "false" `String` value).
  `QR_MASK_PATTERN`
  Specifies the QR code mask pattern to be used.
  `QR_VERSION`
  Specifies the exact version of QR code to be encoded.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EncodeHintType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static EncodeHintType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ERROR_CORRECTION

    public static final EncodeHintType ERROR_CORRECTION
    Specifies what degree of error correction to use, for example in QR Codes. Type depends on the encoder. For example for QR codes it's type `ErrorCorrectionLevel`. For Aztec it is of type `Integer`, representing the minimal percentage of error correction words. For PDF417 it is of type `Integer`, valid values being 0 to 8. In all cases, it can also be a `String` representation of the desired value as well. Note: an Aztec symbol should have a minimum of 25% EC words.

  - ### CHARACTER_SET

    public static final EncodeHintType CHARACTER_SET
    Specifies what character encoding to use where applicable (type `String`)

  - ### DATA_MATRIX_SHAPE

    public static final EncodeHintType DATA_MATRIX_SHAPE
    Specifies the matrix shape for Data Matrix (type `SymbolShapeHint`)

  - ### DATA_MATRIX_COMPACT

    public static final EncodeHintType DATA_MATRIX_COMPACT
    Specifies whether to use compact mode for Data Matrix (type `Boolean`, or "true" or "false" `String` value). The compact encoding mode also supports the encoding of characters that are not in the ISO-8859-1 character set via ECIs. Please note that in that case, the most compact character encoding is chosen for characters in the input that are not in the ISO-8859-1 character set. Based on experience, some scanners do not support encodings like cp-1256 (Arabic). In such cases the encoding can be forced to UTF-8 by means of the `CHARACTER_SET` encoding hint. Compact encoding also provides GS1-FNC1 support when `GS1_FORMAT` is selected. In this case group-separator character (ASCII 29 decimal) can be used to encode the positions of FNC1 codewords for the purpose of delimiting AIs. This option and `FORCE_C40` are mutually exclusive.

  - ### MIN_SIZE

    @Deprecated public static final EncodeHintType MIN_SIZE
    Deprecated.
    use width/height params in `DataMatrixWriter.encode(String, BarcodeFormat, int, int)`
    Specifies a minimum barcode size (type `Dimension`). Only applicable to Data Matrix now.

  - ### MAX_SIZE

    @Deprecated public static final EncodeHintType MAX_SIZE
    Deprecated.
    without replacement
    Specifies a maximum barcode size (type `Dimension`). Only applicable to Data Matrix now.

  - ### MARGIN

    public static final EncodeHintType MARGIN
    Specifies margin, in pixels, to use when generating the barcode. The meaning can vary by format; for example it controls margin before and after the barcode horizontally for most 1D formats. (Type `Integer`, or `String` representation of the integer value).

  - ### PDF417_COMPACT

    public static final EncodeHintType PDF417_COMPACT
    Specifies whether to use compact mode for PDF417 (type `Boolean`, or "true" or "false" `String` value).

  - ### PDF417_COMPACTION

    public static final EncodeHintType PDF417_COMPACTION
    Specifies what compaction mode to use for PDF417 (type `Compaction` or `String` value of one of its enum values).

  - ### PDF417_DIMENSIONS

    public static final EncodeHintType PDF417_DIMENSIONS
    Specifies the minimum and maximum number of rows and columns for PDF417 (type `Dimensions`).

  - ### PDF417_AUTO_ECI

    public static final EncodeHintType PDF417_AUTO_ECI
    Specifies whether to automatically insert ECIs when encoding PDF417 (type `Boolean`, or "true" or "false" `String` value). Please note that in that case, the most compact character encoding is chosen for characters in the input that are not in the ISO-8859-1 character set. Based on experience, some scanners do not support encodings like cp-1256 (Arabic). In such cases the encoding can be forced to UTF-8 by means of the `CHARACTER_SET` encoding hint.

  - ### AZTEC_LAYERS

    public static final EncodeHintType AZTEC_LAYERS
    Specifies the required number of layers for an Aztec code. A negative number (-1, -2, -3, -4) specifies a compact Aztec code. 0 indicates to use the minimum number of layers (the default). A positive number (1, 2, .. 32) specifies a normal (non-compact) Aztec code. (Type `Integer`, or `String` representation of the integer value).

  - ### QR_VERSION

    public static final EncodeHintType QR_VERSION
    Specifies the exact version of QR code to be encoded. (Type `Integer`, or `String` representation of the integer value).

  - ### QR_MASK_PATTERN

    public static final EncodeHintType QR_MASK_PATTERN
    Specifies the QR code mask pattern to be used. Allowed values are 0..QRCode.NUM_MASK_PATTERNS-1. By default the code will automatically select the optimal mask pattern. * (Type `Integer`, or `String` representation of the integer value).

  - ### QR_COMPACT

    public static final EncodeHintType QR_COMPACT
    Specifies whether to use compact mode for QR code (type `Boolean`, or "true" or "false" `String` value). Please note that when compaction is performed, the most compact character encoding is chosen for characters in the input that are not in the ISO-8859-1 character set. Based on experience, some scanners do not support encodings like cp-1256 (Arabic). In such cases the encoding can be forced to UTF-8 by means of the `CHARACTER_SET` encoding hint.

  - ### GS1_FORMAT

    public static final EncodeHintType GS1_FORMAT
    Specifies whether the data should be encoded to the GS1 standard (type `Boolean`, or "true" or "false" `String` value).

  - ### FORCE_CODE_SET

    public static final EncodeHintType FORCE_CODE_SET
    Forces which encoding will be used. Currently only used for Code-128 code sets (Type `String`). Valid values are "A", "B", "C". This option and `CODE128_COMPACT` are mutually exclusive.

  - ### FORCE_C40

    public static final EncodeHintType FORCE_C40
    Forces C40 encoding for data-matrix (type `Boolean`, or "true" or "false") `String` value). This option and `DATA_MATRIX_COMPACT` are mutually exclusive.

  - ### CODE128_COMPACT

    public static final EncodeHintType CODE128_COMPACT
    Specifies whether to use compact mode for Code-128 code (type `Boolean`, or "true" or "false" `String` value). This can yield slightly smaller bar codes. This option and `FORCE_CODE_SET` are mutually exclusive.

- ## Method Details

  - ### values

    public static EncodeHintType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static EncodeHintType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null